import { useSelector } from "react-redux";

export const useCeoAddress = () => {
  const userPath = useSelector((state) => state.userSlice.userPath);

  if (
    userPath === "https://check.rasadyaar.ir" ||
    userPath.includes("localhost")
  ) {
    return "خرم آباد، مطهری، شرکت آرتامهر آرتان";
  } else if (userPath === "https://mabackend.rasadyar.com/") {
    return "مرودشت، رو به روی شبکه دامپزشکی شهرستان اراک، اتحادیه مرغداران استان مرکزی";
  } else if (userPath === "https://arbackend.rasadyar.com/") {
    return "آدرس : اردبیل، شهرک کارشناسان ،جنب ساختمان نظام مهندسی، ساختمان فرهنگ، طبقه دوم تلفن : 33749254     تلفاکس : 33749253      ";
  } else if (userPath === "https://habackend.rasadyar.com/") {
    return "همدان، بلوار آیت اله مدنی، کوچه امامزاده یحیی یک تلفن: 081 32523689 ";
  } else if (userPath === "https://shabackend.rasadyar.com/") {
    return "تبریز خیابان راه آهن نبش کوی اشکان ساختمان ۱۴ طبقه دوم تلفن: 041 34502363";
  } else if (userPath === "https://ghabackend.rasadyar.com/") {
    return "آدرس استان آذربایجان غربی";
  } else if (userPath === "https://bubackend.rasadyar.com/") {
    return "بوشهر، خيابان امام خمينی، جنب مديريت برق، ساختمان رضايي، طبقه 3";
  } else {
    return "آدرس تست";
  }
};
